
// $Id: ClientInterface.java,v 1.6 2001/12/17 19:33:37 akuchlin Exp $

import java.net.Socket;
import java.awt.Frame;

public interface ClientInterface {
    public void init(String hostname, 
                     int port, 
		     String authtoken);
    public void init(String hostname, 
                     int port, 
		     String authtoken, 
		     boolean applet);
    public Frame get_frame();
    public void make_connection();
    public void close();
    public void quit();
}
